<div class="modal-header">
  <div class="grid gridTemplate3Col gridTemplateHeaderCard w-100">
    <div class="gHeader1">
      <span class="modal-title ">Causal de Tiempo  </span>
    </div>
    <div class="gHeader2">
      <span > Numero ticket: </span> <span class="id">{{idTicket}}</span>
    </div>
    <div class="gHeader3">
      <a (click)="activeModal.dismiss('Cross click')">
        <i class="pi pi-times-circle CBC" ></i>
      </a>
    </div>
  </div>
</div>
  <div class="modal-body">
    <!--<div class="row">

      <div class="col-sm-8">
        <div class="form-group">
          <label >Retardo:</label>
          <select  class="form-control" formControlName="idCausalTiempo"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.retardo.errors }">
            <option *ngFor="let value of causales" [value]="value.id">{{value.causal}}</option>
          </select>
          <div   *ngIf="submitted &&  f.idCausalTiempo.errors" class="invalid-feedback">
            <div *ngIf="f.idCausalTiempo.errors.required">El causal es requerido.</div>
          </div>
        </div>
      </div>


      <div class="col-sm-4">
        <div class="form-group">
          <label >Retardo:</label>
          <input type="number" class="form-control" formControlName="retardo"    placeholder="Ingrese el retardo "
                 (keypress)="validation($event)" min="1"  [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.retardo.errors }"/>
          <div   *ngIf="submitted &&  f.retardo.errors" class="invalid-feedback">
            <div *ngIf="f.retardo.errors.required">El retardo es requerido.</div>
          </div>
        </div>
      </div>

    </div>
    <div class="col-sm-12" >
      <label >Causales creadas</label>
      <p-table  [value]="causalesTabla" [paginator]="true" [rows]="10"
                [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
                [responsive]="true"  >

        <ng-template pTemplate="header">
          <tr class="text-center">
            <th class="{{c.class}}" *ngFor="let c of loadTable" >
              {{c.header}}
            </th>

          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-c>
          <tr  class="text-center" >
            <td><span class="ui-column-title">Nombre</span>{{c.nombreCausalTiempo}}</td>
            <td > <span class="ui-column-title">Retardo</span>{{c.retardo}}</td>
          </tr>
        </ng-template>
        <ng-template pTemplate="summary">
          Tiempo de retardo {{total}}.
        </ng-template>
      </p-table>
    </div>
    -->
    <div class="col-sm-12">

      <label >Causales de tiempo</label>
      <p-table  [value]="causales" [paginator]="true" [rows]="10"
                [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
                [responsive]="true"  >

        <ng-template pTemplate="header">
          <tr class="text-center">
            <th class="{{c.class}}" *ngFor="let c of loadTable" >
              {{c.header}}
            </th>

          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-c>
          <tr  class="text-center" >
            <td><span class="ui-column-title">Nombre</span>{{c.causal}}</td>
            <td pEditableColumn>
              <p-cellEditor>
                <ng-template pTemplate="input">
                  <input pInputText type="number" min="1"  (change)="textRetardo($event)"  [(ngModel)]="c.minutosRetardo">
                </ng-template>
                <ng-template pTemplate="output">
                  {{c.minutosRetardo}}
                </ng-template>
              </p-cellEditor> </td>
          </tr>
        </ng-template>
        <ng-template pTemplate="summary">
          Tiempo de retardo {{totalTablaAux}}.
        </ng-template>
      </p-table>
    </div>

  </div>
  <div class="modal-footer">
    <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
    <button type="button" class="btn bCPO" (click)="guardar()">GUARDAR</button>
  </div>


